Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005906TestLinkTest Spec. - Ghost Test Casepublic2013-09-10 05:312013-11-17 09:54
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005906: [FEATURE] Create Ghost Test Case that always follows latest active version
DescriptionCurrent implementation do not follow original Test Case new versions, i.e. if I've using ghost for version 1, and version 2 is created, my ghost continues to point to version 1.
Can be useful give possibility to user to have ghost that automatically follows latest active version.
Need to understand how difficult will be to follow latest active instead of just latest.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon all-versions-are-inactive.png [^] (8,708 bytes) 2013-09-10 17:58


png file icon latest-active-version.png [^] (6,450 bytes) 2013-09-10 17:58

- Relationships
related to 0005914closedfman [FEATURE] Create Ghost Test Case STEP that always follows latest active version 
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019593)
fman (administrator)
2013-09-10 05:51
edited on: 2013-09-10 17:59

1. ghost to a specific version
[ghost]"TestCase":"IU-5902-8","Version":"1"[/ghost]

2. ghost to LATEST ACTIVE version
[ghost]"TestCase":"IU-5902-8"[/ghost]

If test case HAS ALL Versions inactive => we will use LATEST version
(see image all-versions-are-inactive.png)

If test case HAS AT LEAST one ACTIVE VERSION => we will use it.
(see image latest-active-version.png)

(0019595)
fman (administrator)
2013-09-10 18:02

http://gitorious.org/testlink-ga/testlink-code/commit/601773a9c138f3b3177afa3dd2c27862112c7977 [^]
(0020097)
fman (administrator)
2013-11-17 09:54

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-09-10 05:31 fman New Issue
2013-09-10 05:31 fman Status new => assigned
2013-09-10 05:31 fman Assigned To => fman
2013-09-10 05:51 fman Note Added: 0019593
2013-09-10 17:56 fman Note Edited: 0019593 View Revisions
2013-09-10 17:58 fman Note Edited: 0019593 View Revisions
2013-09-10 17:58 fman File Added: all-versions-are-inactive.png
2013-09-10 17:58 fman Note Edited: 0019593 View Revisions
2013-09-10 17:58 fman File Added: latest-active-version.png
2013-09-10 17:59 fman Note Edited: 0019593 View Revisions
2013-09-10 18:01 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-09-10 18:01 fman Summary Create Ghost that follows latest active version => Create Ghost Test Case that always follows latest active version
2013-09-10 18:01 fman Relationship added child of 0005897
2013-09-10 18:02 fman Status assigned => resolved
2013-09-10 18:02 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-09-10 18:02 fman Resolution open => fixed
2013-09-10 18:02 fman Note Added: 0019595
2013-09-11 09:34 fman View Status private => public
2013-09-11 18:07 fman Issue cloned: 0005914
2013-09-11 18:07 fman Relationship added related to 0005914
2013-09-14 08:20 fman Summary Create Ghost Test Case that always follows latest active version => [FEATURE] Create Ghost Test Case that always follows latest active version
2013-11-17 09:54 fman Note Added: 0020097
2013-11-17 09:54 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker